local theme = {
  fill = 'TabLineFill',
  current_tab = 'TabLineSel',
  tab = 'TabLine',
}

return {
  'nanozuki/tabby.nvim',
  config = function()
    require('tabby').setup({
      line = function(line)
        return {
          line.tabs().foreach(function(tab)
            local hl = tab.is_current() and theme.current_tab or theme.tab
            return {
              ' ',
              tab.name(),
              ' ',
              hl = hl,
            }
          end),
          line.spacer(),
          hl = theme.fill,
        }
      end,
    })
  end,
  lazy = false,
}
